Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ejb.sequence
Class SequenceEJB

    java.lang.Object
      com.sun.mdm.index.ejb.sequence.SequenceEJB

All Implemented Interfaces:
  Sequence, SequenceEJBLocal, SequenceEJBRemote

public class SequenceEJB
extends java.lang.Object
implements SequenceEJBRemote, SequenceEJBLocal

Field Summary
`static int` | `DB_AXION`
`static int` | `DB_MYSQL`
`static int` | `DB_ORACLE`
`static int` | `DB_SQLSERVER`
`static int` | `DB_UNKNOWN`

Constructor Summary
`SequenceEJB()`

Method Summary
`void` | `cleanUp()`
`void` | `initDBProductID(java.sql.Connection con)` Sets up DBProductID for this installation to either DB_SQLSERVER, DB_MYSQL or DB_ORACLE.
`void` | `initialize()`
`java.lang.String` | `pingDatabase()` Checks if a database can be reached.
`void` | `setSessionContext(SessionContext sessionContext)`
`long` | `xgetNextEUID(int mChunkSize, java.lang.String DatabaseType)`
`java.lang.Integer` | `xgetNextUID(java.lang.String seqName, java.lang.String DatabaseType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_AXION

    public static final int DB_AXION

See Also:
  Constant Field Values

### DB_MYSQL

    public static final int DB_MYSQL

See Also:
  Constant Field Values

### DB_ORACLE

    public static final int DB_ORACLE

See Also:
  Constant Field Values

### DB_SQLSERVER

    public static final int DB_SQLSERVER

See Also:
  Constant Field Values

### DB_UNKNOWN

    public static final int DB_UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### SequenceEJB

    public SequenceEJB()

Method Detail

### cleanUp

    public void cleanUp()

### initDBProductID

    public void initDBProductID(java.sql.Connection con)
                         throws java.lang.Exception

  Sets up DBProductID for this installation to either DB_SQLSERVER, DB_MYSQL or DB_ORACLE.

  Parameters:
    `con` - Database connection.
  Throws:
    `java.lang.Exception` - if an error is encountered.

### initialize

    public void initialize()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### pingDatabase

    public java.lang.String pingDatabase()

  Checks if a database can be reached.

  Specified by:
    `pingDatabase` in interface `Sequence`
  Returns:
    String indicating the status of the database.

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)

### xgetNextEUID

    public long xgetNextEUID(int mChunkSize,
                             java.lang.String DatabaseType)
                      throws SEQException

  Specified by:
    `xgetNextEUID` in interface `Sequence`
  Throws:
    `SEQException`

### xgetNextUID

    public java.lang.Integer xgetNextUID(java.lang.String seqName,
                                         java.lang.String DatabaseType)
                                  throws SEQException

  Specified by:
    `xgetNextUID` in interface `Sequence`
  Throws:
    `SEQException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.